<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<title>ejercicio 3 javascript</title>
<script type="text/javascript">

var letras = ['T', 'R', 'W', 'A', 'G', 'M', 'Y', 'F', 'P', 'D', 'X', 'B', 'N',
							'J', 'Z', 'S', 'Q', 'V', 'H', 'L', 'C', 'K', 'E', 'T'];

var numero = prompt("Introduzca su número de DNI sin letra");

if(numero < 0 || numero > 99999999) {
  alert("Número no válido. Introduzca uno entre 0 y 99999999");
}
else {
  var letra = prompt("Introduzca la letra");
  letra = letra.toUpperCase();
  var letraCalculada = letras[numero % 23];
  if(letraCalculada != letra) {
    alert("Número o letra NO son correctos");
  }
  else {
    alert("Número y letra correctos");
  }
}

</script>
</head>

<body>

</body>
</html>